Skip to content

Proposal Reviews

Operations Summary

Method Endpoint Description
Core CRUD
GET /api/proposal-reviews/ List Proposal Reviews
GET /api/proposal-reviews/{uuid}/ Retrieve
POST /api/proposal-reviews/ Create
PUT /api/proposal-reviews/{uuid}/ Update
PATCH /api/proposal-reviews/{uuid}/ Partial Update
DELETE /api/proposal-reviews/{uuid}/ Delete
Other Actions
POST /api/proposal-reviews/{uuid}/accept/ Accept a review, changing its state to IN_REVIEW
POST /api/proposal-reviews/{uuid}/reject/ Reject a review, changing its state to REJECTED
POST /api/proposal-reviews/{uuid}/submit/ Submit a review, changing its state to SUBMITTED

Core CRUD

List Proposal Reviews

1
2
3
4
http \
  GET \
  https://api.example.com/api/proposal-reviews/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.proposal_reviews import proposal_reviews_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = proposal_reviews_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: proposal_reviews_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { proposalReviewsList } from 'waldur-js-client';

try {
  const response = await proposalReviewsList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
call_uuid string (uuid)
o array Ordering

organization_uuid string (uuid)
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
proposal string
proposal_name string
proposal_uuid string (uuid)
reviewer_uuid string (uuid)
state array

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
url string (uri)
uuid string (uuid)
proposal string (uri)
proposal_name string
proposal_uuid string (uuid)
proposal_slug string
reviewer string (uri)
reviewer_full_name string
reviewer_uuid string (uuid)
anonymous_reviewer_name string Generate an anonymous reviewer identifier like 'Reviewer 1', 'Reviewer 2'. Returns None if the review is not associated with a proposal.
state any
review_end_date string (date-time)
summary_score integer
summary_public_comment string
summary_private_comment string
round_uuid string (uuid)
round_name string
round_slug string
round_cutoff_time string (date-time)
round_start_time string (date-time)
call_name string
call_uuid string (uuid)
call_slug string
call_managing_organisation_uuid string (uuid)
comment_project_title string
comment_project_summary string
comment_project_is_confidential string
comment_project_has_civilian_purpose string
comment_project_description string
comment_project_duration string
comment_project_supporting_documentation string
comment_resource_requests string
comment_team string
created string (date-time)
modified string (date-time)

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/proposal-reviews/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.proposal_reviews import proposal_reviews_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = proposal_reviews_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: proposal_reviews_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { proposalReviewsRetrieve } from 'waldur-js-client';

try {
  const response = await proposalReviewsRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type Description
url string (uri)
uuid string (uuid)
proposal string (uri)
proposal_name string
proposal_uuid string (uuid)
proposal_slug string
reviewer string (uri)
reviewer_full_name string
reviewer_uuid string (uuid)
anonymous_reviewer_name string Generate an anonymous reviewer identifier like 'Reviewer 1', 'Reviewer 2'. Returns None if the review is not associated with a proposal.
state any
review_end_date string (date-time)
summary_score integer
summary_public_comment string
summary_private_comment string
round_uuid string (uuid)
round_name string
round_slug string
round_cutoff_time string (date-time)
round_start_time string (date-time)
call_name string
call_uuid string (uuid)
call_slug string
call_managing_organisation_uuid string (uuid)
comment_project_title string
comment_project_summary string
comment_project_is_confidential string
comment_project_has_civilian_purpose string
comment_project_description string
comment_project_duration string
comment_project_supporting_documentation string
comment_resource_requests string
comment_team string
created string (date-time)
modified string (date-time)

Create

1
2
3
4
5
http \
  POST \
  https://api.example.com/api/proposal-reviews/ \
  Authorization:"Token YOUR_API_TOKEN" \
  proposal="https://api.example.com/api/proposal/a1b2c3d4-e5f6-7890-abcd-ef1234567890/"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.proposal_review_request import ProposalReviewRequest # (1)
from waldur_api_client.api.proposal_reviews import proposal_reviews_create # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ProposalReviewRequest(
    proposal="https://api.example.com/api/proposal/a1b2c3d4-e5f6-7890-abcd-ef1234567890/"
)
response = proposal_reviews_create.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ProposalReviewRequest
  2. API Source: proposal_reviews_create
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { proposalReviewsCreate } from 'waldur-js-client';

try {
  const response = await proposalReviewsCreate({
  auth: "Token YOUR_API_TOKEN",
  body: {
    "proposal": "https://api.example.com/api/proposal/a1b2c3d4-e5f6-7890-abcd-ef1234567890/"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required
proposal string (uri)
reviewer string (uri)
summary_score integer
summary_public_comment string
summary_private_comment string
comment_project_title string
comment_project_summary string
comment_project_is_confidential string
comment_project_has_civilian_purpose string
comment_project_description string
comment_project_duration string
comment_project_supporting_documentation string
comment_resource_requests string
comment_team string

201 -

Field Type Description
url string (uri)
uuid string (uuid)
proposal string (uri)
proposal_name string
proposal_uuid string (uuid)
proposal_slug string
reviewer string (uri)
reviewer_full_name string
reviewer_uuid string (uuid)
anonymous_reviewer_name string Generate an anonymous reviewer identifier like 'Reviewer 1', 'Reviewer 2'. Returns None if the review is not associated with a proposal.
state any
review_end_date string (date-time)
summary_score integer
summary_public_comment string
summary_private_comment string
round_uuid string (uuid)
round_name string
round_slug string
round_cutoff_time string (date-time)
round_start_time string (date-time)
call_name string
call_uuid string (uuid)
call_slug string
call_managing_organisation_uuid string (uuid)
comment_project_title string
comment_project_summary string
comment_project_is_confidential string
comment_project_has_civilian_purpose string
comment_project_description string
comment_project_duration string
comment_project_supporting_documentation string
comment_resource_requests string
comment_team string
created string (date-time)
modified string (date-time)

Update

1
2
3
4
5
http \
  PUT \
  https://api.example.com/api/proposal-reviews/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN" \
  proposal="https://api.example.com/api/proposal/a1b2c3d4-e5f6-7890-abcd-ef1234567890/"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.proposal_review_request import ProposalReviewRequest # (1)
from waldur_api_client.api.proposal_reviews import proposal_reviews_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ProposalReviewRequest(
    proposal="https://api.example.com/api/proposal/a1b2c3d4-e5f6-7890-abcd-ef1234567890/"
)
response = proposal_reviews_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ProposalReviewRequest
  2. API Source: proposal_reviews_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
import { proposalReviewsUpdate } from 'waldur-js-client';

try {
  const response = await proposalReviewsUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "proposal": "https://api.example.com/api/proposal/a1b2c3d4-e5f6-7890-abcd-ef1234567890/"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required
proposal string (uri)
reviewer string (uri)
summary_score integer
summary_public_comment string
summary_private_comment string
comment_project_title string
comment_project_summary string
comment_project_is_confidential string
comment_project_has_civilian_purpose string
comment_project_description string
comment_project_duration string
comment_project_supporting_documentation string
comment_resource_requests string
comment_team string

200 -

Field Type Description
url string (uri)
uuid string (uuid)
proposal string (uri)
proposal_name string
proposal_uuid string (uuid)
proposal_slug string
reviewer string (uri)
reviewer_full_name string
reviewer_uuid string (uuid)
anonymous_reviewer_name string Generate an anonymous reviewer identifier like 'Reviewer 1', 'Reviewer 2'. Returns None if the review is not associated with a proposal.
state any
review_end_date string (date-time)
summary_score integer
summary_public_comment string
summary_private_comment string
round_uuid string (uuid)
round_name string
round_slug string
round_cutoff_time string (date-time)
round_start_time string (date-time)
call_name string
call_uuid string (uuid)
call_slug string
call_managing_organisation_uuid string (uuid)
comment_project_title string
comment_project_summary string
comment_project_is_confidential string
comment_project_has_civilian_purpose string
comment_project_description string
comment_project_duration string
comment_project_supporting_documentation string
comment_resource_requests string
comment_team string
created string (date-time)
modified string (date-time)

Partial Update

1
2
3
4
http \
  PATCH \
  https://api.example.com/api/proposal-reviews/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.patched_proposal_review_request import PatchedProposalReviewRequest # (1)
from waldur_api_client.api.proposal_reviews import proposal_reviews_partial_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = PatchedProposalReviewRequest()
response = proposal_reviews_partial_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: PatchedProposalReviewRequest
  2. API Source: proposal_reviews_partial_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { proposalReviewsPartialUpdate } from 'waldur-js-client';

try {
  const response = await proposalReviewsPartialUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required
summary_score integer
summary_public_comment string
summary_private_comment string
comment_project_title string
comment_project_summary string
comment_project_is_confidential string
comment_project_has_civilian_purpose string
comment_project_description string
comment_project_duration string
comment_project_supporting_documentation string
comment_resource_requests string
comment_team string

200 -

Field Type Description
url string (uri)
uuid string (uuid)
proposal string (uri)
proposal_name string
proposal_uuid string (uuid)
proposal_slug string
reviewer string (uri)
reviewer_full_name string
reviewer_uuid string (uuid)
anonymous_reviewer_name string Generate an anonymous reviewer identifier like 'Reviewer 1', 'Reviewer 2'. Returns None if the review is not associated with a proposal.
state any
review_end_date string (date-time)
summary_score integer
summary_public_comment string
summary_private_comment string
round_uuid string (uuid)
round_name string
round_slug string
round_cutoff_time string (date-time)
round_start_time string (date-time)
call_name string
call_uuid string (uuid)
call_slug string
call_managing_organisation_uuid string (uuid)
comment_project_title string
comment_project_summary string
comment_project_is_confidential string
comment_project_has_civilian_purpose string
comment_project_description string
comment_project_duration string
comment_project_supporting_documentation string
comment_resource_requests string
comment_team string
created string (date-time)
modified string (date-time)

Delete

1
2
3
4
http \
  DELETE \
  https://api.example.com/api/proposal-reviews/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.proposal_reviews import proposal_reviews_destroy # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = proposal_reviews_destroy.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: proposal_reviews_destroy
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { proposalReviewsDestroy } from 'waldur-js-client';

try {
  const response = await proposalReviewsDestroy({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

204 - No response body


Other Actions

Accept a review, changing its state to IN_REVIEW

Accept a review, changing its state to IN_REVIEW.

1
2
3
4
http \
  POST \
  https://api.example.com/api/proposal-reviews/a1b2c3d4-e5f6-7890-abcd-ef1234567890/accept/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.proposal_reviews import proposal_reviews_accept # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = proposal_reviews_accept.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: proposal_reviews_accept
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { proposalReviewsAccept } from 'waldur-js-client';

try {
  const response = await proposalReviewsAccept({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 - No response body


Reject a review, changing its state to REJECTED

Reject a review, changing its state to REJECTED.

1
2
3
4
http \
  POST \
  https://api.example.com/api/proposal-reviews/a1b2c3d4-e5f6-7890-abcd-ef1234567890/reject/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.proposal_reviews import proposal_reviews_reject # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = proposal_reviews_reject.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: proposal_reviews_reject
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { proposalReviewsReject } from 'waldur-js-client';

try {
  const response = await proposalReviewsReject({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 - No response body


Submit a review, changing its state to SUBMITTED

Submit a review, changing its state to SUBMITTED.

1
2
3
4
http \
  POST \
  https://api.example.com/api/proposal-reviews/a1b2c3d4-e5f6-7890-abcd-ef1234567890/submit/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.review_submit_request import ReviewSubmitRequest # (1)
from waldur_api_client.api.proposal_reviews import proposal_reviews_submit # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ReviewSubmitRequest()
response = proposal_reviews_submit.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ReviewSubmitRequest
  2. API Source: proposal_reviews_submit
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { proposalReviewsSubmit } from 'waldur-js-client';

try {
  const response = await proposalReviewsSubmit({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required
summary_score integer
summary_public_comment string
summary_private_comment string

200 - No response body